Package com.independentsoft.office.odf.styles

# Enum Class Adjustment

java.lang.Object
java.lang.Enum<Adjustment>
com.independentsoft.office.odf.styles.Adjustment

All Implemented Interfaces:
  `Serializable`, `Comparable<Adjustment>`, `Constable`

public enum Adjustment extends Enum<Adjustment>
Represents how a footnote separator line is aligned on a page.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CENTER`
  Footnote separator line aligned to left on page.
  `LEFT`
  Footnote separator line centered on page.
  `NONE`
  None
  `RIGHT`
  Footnote separator line aligned to right on page.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Adjustment`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static Adjustment[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### LEFT

    public static final Adjustment LEFT
    Footnote separator line centered on page.

  - ### CENTER

    public static final Adjustment CENTER
    Footnote separator line aligned to left on page.

  - ### RIGHT

    public static final Adjustment RIGHT
    Footnote separator line aligned to right on page.

  - ### NONE

    public static final Adjustment NONE
    None

- ## Method Details

  - ### values

    public static Adjustment[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static Adjustment valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null